public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/bitwarden-desktop-bin/
Date: Sat, 25 Mar 2023 04:35:13 +0000 (UTC)	[thread overview]
Message-ID: <1679718905.72a92706ae0422024e7df1b64efe01da4ae51b91.kensington@gentoo> (raw)

commit:     72a92706ae0422024e7df1b64efe01da4ae51b91
Author:     Ricardo Lopes <ricardoapl <AT> protonmail <DOT> com>
AuthorDate: Thu Mar  9 20:17:28 2023 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Mar 25 04:35:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72a92706

app-admin/bitwarden-desktop-bin: add 2023.2.0

Closes: https://bugs.gentoo.org/898034
Closes: https://github.com/gentoo/gentoo/pull/30033
Signed-off-by: Ricardo Lopes <ricardoapl <AT> protonmail.com>
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 app-admin/bitwarden-desktop-bin/Manifest           |  1 +
 .../bitwarden-desktop-bin-2023.2.0.ebuild          | 89 ++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/app-admin/bitwarden-desktop-bin/Manifest b/app-admin/bitwarden-desktop-bin/Manifest
index c4bfd3c087ed..2cec043ec63d 100644
--- a/app-admin/bitwarden-desktop-bin/Manifest
+++ b/app-admin/bitwarden-desktop-bin/Manifest
@@ -1,2 +1,3 @@
 DIST Bitwarden-2022.12.0-amd64.deb 65434808 BLAKE2B 81e7f1b0d7a95fa08554fced72440d65c4fb5fb86371f4ce773904f53543a3586f56eb53d2a4f79034a475430d3b2926404a2bc178e49bb97999295100a6a352 SHA512 ca1fafe48b3dcbab8c2152ed84337c7ebd8cc1934f24d2eabf7ef65733c163e84fc9e49f8566cf2201ab557144e81360db8d8ee1883a92c275804d7c3ddf886b
 DIST Bitwarden-2022.9.1-amd64.deb 64957370 BLAKE2B 05d1f206503b41ed2a118948b3bd74cb6418dde661f3e620644abe15108391fcd48e3211cb6ff48560eb6092dc2bd08620f3df24bb92de5b832301202456ecb9 SHA512 5907b58d4da1933809342f482f26833b4513e2b2d2a62a7f2ddec02e571069f3d0a5b509a57c4390f00677dd9c6a6164217e32a5911268da683ef94713345505
+DIST Bitwarden-2023.2.0-amd64.deb 70836086 BLAKE2B 84c9bfd58a0b5e1647f8bf6af8e9c0070bb940896161c58bbcf43af03109e6623d741dfe303af84fd2ed98e8c16f95ef9eaa3936b6c39c851d4960ba29d4554e SHA512 19cc12e85c2b4fdff2c52747fcea9cd888040c2d20faa0eaf81237d4ccbe4a0c4ed0df792c6c193768e33329561759357dc333fd05018a00e82bc71a4e8082e8

diff --git a/app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-2023.2.0.ebuild b/app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-2023.2.0.ebuild
new file mode 100644
index 000000000000..b6d1c4a5245a
--- /dev/null
+++ b/app-admin/bitwarden-desktop-bin/bitwarden-desktop-bin-2023.2.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop unpacker xdg-utils
+
+MY_PN="Bitwarden"
+
+DESCRIPTION="Bitwarden password manager desktop client"
+HOMEPAGE="https://bitwarden.com/"
+SRC_URI="https://github.com/bitwarden/clients/releases/download/desktop-v${PV}/Bitwarden-${PV}-amd64.deb"
+S="${WORKDIR}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	|| (
+		>=app-accessibility/at-spi2-core-2.46.0:2
+		( app-accessibility/at-spi2-atk dev-libs/atk )
+	)
+	app-crypt/libsecret
+	dev-libs/expat
+	dev-libs/glib
+	sys-libs/glibc
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-apps/util-linux
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXcursor
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXi
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/libXrender
+	x11-libs/libXScrnSaver
+	x11-libs/libxshmfence
+	x11-libs/libXtst
+	x11-libs/pango
+"
+IDEPEND="
+	dev-util/desktop-file-utils
+	dev-util/gtk-update-icon-cache
+"
+
+QA_PREBUILT="
+	opt/Bitwarden/*.so*
+	opt/Bitwarden/bitwarden
+	opt/Bitwarden/chrome-sandbox
+	opt/Bitwarden/chrome_crashpad_handler
+"
+
+src_install() {
+	insinto /opt
+	doins -r opt/${MY_PN}
+	fperms 755 /opt/Bitwarden/bitwarden
+	fperms 4755 /opt/Bitwarden/chrome-sandbox
+
+	domenu usr/share/applications/bitwarden.desktop
+
+	local x
+	for x in 16 32 64 128 256 512; do
+		doicon -s ${x} usr/share/icons/hicolor/${x}*/*
+	done
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}


             reply	other threads:[~2023-03-25  4:35 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-25  4:35 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-08 12:33 [gentoo-commits] repo/gentoo:master commit in: app-admin/bitwarden-desktop-bin/ Yixun Lan
2024-09-01 23:22 Yixun Lan
2024-08-29 15:42 Yixun Lan
2024-08-29 13:54 Yixun Lan
2024-08-12  9:41 Yixun Lan
2024-07-09  0:33 Yixun Lan
2024-06-15 13:12 Yixun Lan
2024-06-15 13:12 Yixun Lan
2024-05-24  0:13 Yixun Lan
2024-04-16  5:24 Yixun Lan
2024-03-30  2:22 Yixun Lan
2024-03-30  2:22 Yixun Lan
2024-02-25  1:42 Yixun Lan
2024-02-25  1:42 Yixun Lan
2024-01-07  0:16 Yixun Lan
2023-07-31  7:47 Michael Palimaka
2023-07-31  7:47 Michael Palimaka
2023-03-25  4:35 Michael Palimaka
2023-03-25  4:35 Michael Palimaka
2023-01-08  4:01 Michael Palimaka
2023-01-08  3:55 Michael Palimaka
2022-10-01  3:14 Michael Palimaka
2022-10-01  3:09 Michael Palimaka
2022-07-02  7:05 Michael Palimaka
2022-07-02  6:38 Michael Palimaka
2022-04-12 13:21 Michael Palimaka
2022-04-12 13:21 Michael Palimaka
2022-02-20  1:07 Sam James
2022-02-10  6:36 Michael Palimaka
2022-02-10  6:31 Michael Palimaka
2022-02-10  6:31 Michael Palimaka
2021-10-26  8:03 Michael Palimaka
2021-10-26  8:03 Michael Palimaka
2021-09-20  8:36 Michael Palimaka
2021-09-20  8:36 Michael Palimaka
2021-07-16  8:25 Michael Palimaka
2021-07-16  8:25 Michael Palimaka
2021-06-04  7:17 Michael Palimaka
2021-06-04  7:17 Michael Palimaka
2021-05-27  8:31 Michael Palimaka
2021-05-27  8:31 Michael Palimaka
2021-04-07 12:09 Michael Palimaka
2020-12-18  4:25 Michael Palimaka
2020-12-03 10:31 Michael Palimaka
2020-11-24 11:47 Michael Palimaka
2020-11-05  6:29 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1679718905.72a92706ae0422024e7df1b64efe01da4ae51b91.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox